#include "sqlfile.h"


/******************************************************************************
 * 
 *****************************************************************************/
void wortinzeile(char * zeile, char * wort, char * ziel)
{
 char * pos;

 if ((pos=strstr(strnoline(zeile), wort)) != NULL)
   {
      strcpy(ziel, pos);
      strdellast(ziel, ';');
   }
}


/******************************************************************************
 * 
 *****************************************************************************/
void wortzuzeile(char * zeile, char * wort, char * ziel)
{
 char * pos;

 if ((pos=strstr(strnoline(zeile), wort)) != NULL) 
   {
         strcat(ziel, "\n");
         strcat(ziel, pos);
         strdellast(ziel, ';');
   }
}


/******************************************************************************
 * 
 *****************************************************************************/
void dateieinlesen(char * dateiname, SQL * sql)
{
 char zeile[MAXLINELEN];
 FILE *file;

 if ( (file = fopen(dateiname, "rt")) == NULL)
   {
      printf("-> Datei '%s' konnte nicht zum Lesen geoeffnet werden!\n", dateiname);          
      return;     /* gebe Meldung aus, aber kein Abbruch! */
   }

  while(fgets(zeile, sizeof(zeile), file) != NULL )
   {
      wortinzeile(zeile, "SELECT",  sql->pselect);
      wortinzeile(zeile, "FROM",    sql->pfrom);
      wortinzeile(zeile, "WHERE",   sql->pwhere);
      wortzuzeile(zeile, "AND",     sql->pwhere);
      wortzuzeile(zeile, "OR",      sql->pwhere);
   }

 fclose(file);
}


/******************************************************************************
 * 
 *****************************************************************************/
void dateispeichern(char * dateiname, SQL * sql)
{
 FILE *file;

 if ( (file = fopen(dateiname, "wt")) == NULL)
   {
      printf("-> Datei '%s' konnte nicht zum Schreiben geoeffnet werden!\n", dateiname);          
      exit(1);
   }

 fputs(sql->pselect,  file); fputs("\n", file);
 fputs(sql->pfrom,    file); fputs("\n", file);
 fputs(sql->pwhere,   file);

 fclose(file);
}

